org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.ProcessInstance.SwimlaneContextInstance, JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static interface JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActorId()` `optional string actor_id = 2;`
    `com.google.protobuf.ByteString` | `getActorIdBytes()` `optional string actor_id = 2;`
    `String` | `getSwimlane()` `optional string swimlane = 1;`
    `com.google.protobuf.ByteString` | `getSwimlaneBytes()` `optional string swimlane = 1;`
    `boolean` | `hasActorId()` `optional string actor_id = 2;`
    `boolean` | `hasSwimlane()` `optional string swimlane = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSwimlane

          boolean hasSwimlane()

      `optional string swimlane = 1;`

    - #### getSwimlane

          String getSwimlane()

      `optional string swimlane = 1;`

    - #### getSwimlaneBytes

          com.google.protobuf.ByteString getSwimlaneBytes()

      `optional string swimlane = 1;`

    - #### hasActorId

          boolean hasActorId()

      `optional string actor_id = 2;`

    - #### getActorId

          String getActorId()

      `optional string actor_id = 2;`

    - #### getActorIdBytes

          com.google.protobuf.ByteString getActorIdBytes()

      `optional string actor_id = 2;`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.